from datetime import datetime
from datetime import timedelta


#Decorator
def log_time(func):
    
    def wrap_func(*args, **kwargs):

        start_time = datetime.now()
        result = func(*args, **kwargs)
        end_time = datetime.now()
        duration = end_time - start_time
        hours = duration.seconds // 3600
        minutes = duration.seconds // 60
        socends = duration.seconds % 60

        print(f"Total time: {hours}: {minutes}: {socends}") 

        return result

    return wrap_func